Bug 181701 - [patch] japanese/font-migu: fix multiple <test> value fontconfig warning
Summary: [patch] japanese/font-migu: fix multiple <test> value fontconfig warning
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Hiroki Sato
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-31 12:20 UTC by Jan Beich
Modified: 2013-09-04 22:20 UTC (History)
0 users

See Also:


Attachments
many_match.diff (858 bytes, patch)
2013-08-31 12:20 UTC, Jan Beich
no flags Details | Diff
file.diff (690 bytes, patch)
2013-08-31 12:20 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2013-08-31 12:20:00 UTC
http://cgit.freedesktop.org/fontconfig/commit/?id=2837c63

Fix: long version

short version
How-To-Repeat: $ fc-list >/dev/null
Fontconfig warning: "/usr/local/etc/fonts/conf.d/20-unhint-migu.conf", line 11: Having multiple values in <test> isn't supported and may not work as expected
Comment 1 Edwin Groothuis freebsd_committer 2013-08-31 12:20:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->hrs

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-09-04 22:15:37 UTC
Author: hrs
Date: Wed Sep  4 21:15:21 2013
New Revision: 326328
URL: http://svnweb.freebsd.org/changeset/ports/326328

Log:
  - Fix a warning "Having multiple values in <test> isn't supported and may
    not work as expected" when using the latest x11-fonts/fontconfig [*].
  
  - Update to the latest version (font-migu, font-ume, font-vlgothic).
  
  - Style clean-ups.
  
  PR:	ports/181701 [*]

Modified:
  head/japanese/font-ipa/Makefile
  head/japanese/font-ipa/files/20-unhint-ipa.conf
  head/japanese/font-ipaex/Makefile
  head/japanese/font-ipaex/files/20-unhint-ipaex.conf
  head/japanese/font-kochi/Makefile
  head/japanese/font-kochi/files/20-unhint-kochi.conf
  head/japanese/font-migmix/Makefile
  head/japanese/font-migmix/files/20-unhint-migmix.conf
  head/japanese/font-migu/Makefile
  head/japanese/font-migu/distinfo
  head/japanese/font-migu/files/20-unhint-migu.conf
  head/japanese/font-mona-ipa/Makefile
  head/japanese/font-mona-ipa/files/20-unhint-mona-ipa.conf
  head/japanese/font-motoya-al/Makefile
  head/japanese/font-motoya-al/files/20-unhint-motoya-al.conf
  head/japanese/font-motoya-al/pkg-descr
  head/japanese/font-mplus-ipa/Makefile
  head/japanese/font-mplus-ipa/files/20-unhint-mplus-ipa.conf
  head/japanese/font-mplus/Makefile
  head/japanese/font-mplus/files/20-unhint-mplus.conf
  head/japanese/font-sazanami/Makefile
  head/japanese/font-sazanami/files/20-unhint-sazanami.conf
  head/japanese/font-shinonome/Makefile
  head/japanese/font-takao/Makefile
  head/japanese/font-takao/files/20-unhint-takao.conf
  head/japanese/font-ume/Makefile
  head/japanese/font-ume/distinfo
  head/japanese/font-ume/files/20-unhint-ume.conf
  head/japanese/font-vlgothic/Makefile
  head/japanese/font-vlgothic/distinfo
  head/japanese/font-vlgothic/files/20-unhint-vlgothic.conf

Modified: head/japanese/font-ipa/Makefile
==============================================================================
--- head/japanese/font-ipa/Makefile	Wed Sep  4 21:14:14 2013	(r326327)
+++ head/japanese/font-ipa/Makefile	Wed Sep  4 21:15:21 2013	(r326328)
@@ -2,6 +2,7 @@
 
 PORTNAME=	ipa
 PORTVERSION=	00303
+PORTREVISION=	1
 CATEGORIES=	japanese x11-fonts
 MASTER_SITES=	http://info.openlab.ipa.go.jp/ipafont/fontdata/
 PKGNAMEPREFIX=	ja-font-

Modified: head/japanese/font-ipa/files/20-unhint-ipa.conf
==============================================================================
--- head/japanese/font-ipa/files/20-unhint-ipa.conf	Wed Sep  4 21:14:14 2013	(r326327)
+++ head/japanese/font-ipa/files/20-unhint-ipa.conf	Wed Sep  4 21:15:21 2013	(r326328)
@@ -3,12 +3,20 @@
 <!-- $FreeBSD$ -->
 <fontconfig>
 	<match target="font">
-		<test name="family">
-			<string>IPAMincho</string>
-			<string>IPAGothic</string>
-			<string>IPAPMincho</string>
-			<string>IPAPGothic</string>
-		</test>
+		<or>
+			<test name="family">
+				<string>IPAMincho</string>
+			</test>
+			<test name="family">
+				<string>IPAGothic</string>
+			</test>
+			<test name="family">
+				<string>IPAPMincho</string>
+			</test>
+			<test name="family">
+				<string>IPAPGothic</string>
+			</test>
+		</or>
 		<edit name="autohint">
 			<bool>false</bool>
 		</edit>

Modified: head/japanese/font-ipaex/Makefile
==============================================================================
--- head/japanese/font-ipaex/Makefile	Wed Sep  4 21:14:14 2013	(r326327)
+++ head/japanese/font-ipaex/Makefile	Wed Sep  4 21:15:21 2013	(r326328)
@@ -2,7 +2,7 @@
 
 PORTNAME=	ipaex
 PORTVERSION=	00201
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	japanese x11-fonts
 MASTER_SITES=	http://info.openlab.ipa.go.jp/ipafont/fontdata/7bf84182a04a9632268dbcb03f100d05/
 PKGNAMEPREFIX=	ja-font-

Modified: head/japanese/font-ipaex/files/20-unhint-ipaex.conf
==============================================================================
--- head/japanese/font-ipaex/files/20-unhint-ipaex.conf	Wed Sep  4 21:14:14 2013	(r326327)
+++ head/japanese/font-ipaex/files/20-unhint-ipaex.conf	Wed Sep  4 21:15:21 2013	(r326328)
@@ -3,10 +3,14 @@
 <!-- $FreeBSD$ -->
 <fontconfig>
 	<match target="font">
-		<test name="family">
-			<string>IPAexMincho</string>
-			<string>IPAexGothic</string>
-		</test>
+		<or>
+			<test name="family">
+				<string>IPAexMincho</string>
+			</test>
+			<test name="family">
+				<string>IPAexGothic</string>
+			</test>
+		</or>
 		<edit name="autohint">
 			<bool>false</bool>
 		</edit>

Modified: head/japanese/font-kochi/Makefile
==============================================================================
--- head/japanese/font-kochi/Makefile	Wed Sep  4 21:14:14 2013	(r326327)
+++ head/japanese/font-kochi/Makefile	Wed Sep  4 21:15:21 2013	(r326328)
@@ -3,7 +3,7 @@
 
 PORTNAME=	kochi
 PORTVERSION=	20030809
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	japanese x11-fonts
 MASTER_SITES=	SFJP/efont/5411/
 PKGNAMEPREFIX=	ja-font-

Modified: head/japanese/font-kochi/files/20-unhint-kochi.conf
==============================================================================
--- head/japanese/font-kochi/files/20-unhint-kochi.conf	Wed Sep  4 21:14:14 2013	(r326327)
+++ head/japanese/font-kochi/files/20-unhint-kochi.conf	Wed Sep  4 21:15:21 2013	(r326328)
@@ -3,10 +3,14 @@
 <!-- $FreeBSD$ -->
 <fontconfig>
 	<match target="font">
-		<test name="family">
-			<string>Kochi Mincho</string>
-			<string>Kochi Gothic</string>
-		</test>
+		<or>
+			<test name="family">
+				<string>Kochi Mincho</string>
+			</test>
+			<test name="family">
+				<string>Kochi Gothic</string>
+			</test>
+		</or>
 		<edit name="autohint">
 			<bool>false</bool>
 		</edit>

Modified: head/japanese/font-migmix/Makefile
==============================================================================
--- head/japanese/font-migmix/Makefile	Wed Sep  4 21:14:14 2013	(r326327)
+++ head/japanese/font-migmix/Makefile	Wed Sep  4 21:15:21 2013	(r326328)
@@ -2,6 +2,7 @@
 
 PORTNAME=	migmix
 PORTVERSION=	1.0.20130430
+PORTREVISION=	1
 CATEGORIES=	japanese x11-fonts
 MASTER_SITES=	SFJP/mix-mplus-ipa/58721
 PKGNAMEPREFIX=	ja-font-

Modified: head/japanese/font-migmix/files/20-unhint-migmix.conf
==============================================================================
--- head/japanese/font-migmix/files/20-unhint-migmix.conf	Wed Sep  4 21:14:14 2013	(r326327)
+++ head/japanese/font-migmix/files/20-unhint-migmix.conf	Wed Sep  4 21:15:21 2013	(r326328)
@@ -3,12 +3,20 @@
 <!-- $FreeBSD$ -->
 <fontconfig>
 	<match target="font">
-		<test name="family">
-			<string>MigMix 1M</string>
-			<string>MigMix 1P</string>
-			<string>MigMix 2M</string>
-			<string>MigMix 2P</string>
-		</test>
+		<or>
+			<test name="family">
+				<string>MigMix 1M</string>
+			</test>
+			<test name="family">
+				<string>MigMix 1P</string>
+			</test>
+			<test name="family">
+				<string>MigMix 2M</string>
+			</test>
+			<test name="family">
+				<string>MigMix 2P</string>
+			</test>
+		</or>
 		<edit name="autohint">
 			<bool>false</bool>
 		</edit>

Modified: head/japanese/font-migu/Makefile
==============================================================================
--- head/japanese/font-migu/Makefile	Wed Sep  4 21:14:14 2013	(r326327)
+++ head/japanese/font-migu/Makefile	Wed Sep  4 21:15:21 2013	(r326328)
@@ -1,11 +1,10 @@
 # $FreeBSD$
 
 PORTNAME=	migu
-PORTVERSION=	1.0.20130430
-PORTREVISION=	1
+PORTVERSION=	1.0.20130617
 CATEGORIES=	japanese x11-fonts
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE_JP}
-MASTER_SITE_SUBDIR=	mix-mplus-ipa/58720
+MASTER_SITE_SUBDIR=	mix-mplus-ipa/59022
 PKGNAMEPREFIX=	ja-font-
 DISTFILES=	${PORTNAME}-1p-${PORTVERSION:E}${EXTRACT_SUFX} \
 		${PORTNAME}-1c-${PORTVERSION:E}${EXTRACT_SUFX} \

Modified: head/japanese/font-migu/distinfo
==============================================================================
--- head/japanese/font-migu/distinfo	Wed Sep  4 21:14:14 2013	(r326327)
+++ head/japanese/font-migu/distinfo	Wed Sep  4 21:15:21 2013	(r326328)
@@ -1,8 +1,8 @@
-SHA256 (migu-1p-20130430.zip) = e455d560ff26c547e8870535a2b0c816bf37b8a0f2950ffa0c4249e98a0e9f9a
-SIZE (migu-1p-20130430.zip) = 4364204
-SHA256 (migu-1c-20130430.zip) = 367b7b0810ab75523a68b2efdf17944287dcca16889c1dd087a154fec00d9d2c
-SIZE (migu-1c-20130430.zip) = 4372878
-SHA256 (migu-1m-20130430.zip) = 97eefcf84f97b345a34a0db027c12926f01f6c3c4a255cf2622cd9443c2d22d5
-SIZE (migu-1m-20130430.zip) = 4268281
-SHA256 (migu-2m-20130430.zip) = baf88cff246c96251994e6042a9935fecc39855ffb9172d662416d5540a43b9d
-SIZE (migu-2m-20130430.zip) = 4266364
+SHA256 (migu-1p-20130617.zip) = 2c59928b41508a8f4871edc61cdb2259ee8bb078e915c11cda3ca3a54a3a5a19
+SIZE (migu-1p-20130617.zip) = 4365146
+SHA256 (migu-1c-20130617.zip) = 3defd9a68e4f3c406b0ccf3dbb978006fa03ccdd7ef6e822fa8115c7baf22a4e
+SIZE (migu-1c-20130617.zip) = 4373842
+SHA256 (migu-1m-20130617.zip) = c52025471b560e5aba73ec2327a160d6e514def05964056dbb1a8409e5870b45
+SIZE (migu-1m-20130617.zip) = 4268071
+SHA256 (migu-2m-20130617.zip) = 25092541e927bbebc094f9c1d7cfaec3e8e2c7a997c360c507a3433ed11e8278
+SIZE (migu-2m-20130617.zip) = 4266805

Modified: head/japanese/font-migu/files/20-unhint-migu.conf
==============================================================================
--- head/japanese/font-migu/files/20-unhint-migu.conf	Wed Sep  4 21:14:14 2013	(r326327)
+++ head/japanese/font-migu/files/20-unhint-migu.conf	Wed Sep  4 21:15:21 2013	(r326328)
@@ -3,12 +3,20 @@
 <!-- $FreeBSD$ -->
 <fontconfig>
 	<match target="font">
-		<test name="family">
-			<string>Migu 1C</string>
-			<string>Migu 1P</string>
-			<string>Migu 1M</string>
-			<string>Migu 2M</string>
-		</test>
+		<or>
+			<test name="family">
+				<string>Migu 1C</string>
+			</test>
+			<test name="family">
+				<string>Migu 1P</string>
+			</test>
+			<test name="family">
+				<string>Migu 1M</string>
+			</test>
+			<test name="family">
+				<string>Migu 2M</string>
+			</test>
+		</or>
 		<edit name="autohint">
 			<bool>false</bool>
 		</edit>

Modified: head/japanese/font-mona-ipa/Makefile
==============================================================================
--- head/japanese/font-mona-ipa/Makefile	Wed Sep  4 21:14:14 2013	(r326327)
+++ head/japanese/font-mona-ipa/Makefile	Wed Sep  4 21:15:21 2013	(r326328)
@@ -2,7 +2,7 @@
 
 PORTNAME=	mona-ipa
 PORTVERSION=	1.0.8
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	japanese x11-fonts
 MASTER_SITES=	http://www.geocities.jp/ipa_mona/
 PKGNAMEPREFIX=	ja-font-

Modified: head/japanese/font-mona-ipa/files/20-unhint-mona-ipa.conf
==============================================================================
--- head/japanese/font-mona-ipa/files/20-unhint-mona-ipa.conf	Wed Sep  4 21:14:14 2013	(r326327)
+++ head/japanese/font-mona-ipa/files/20-unhint-mona-ipa.conf	Wed Sep  4 21:15:21 2013	(r326328)
@@ -3,13 +3,23 @@
 <!-- $FreeBSD$ -->
 <fontconfig>
 	<match target="font">
-		<test name="family">
-			<string>IPAMonaMincho</string>
-			<string>IPAMonaGothic</string>
-			<string>IPAMonaPMincho</string>
-			<string>IPAMonaPGothic</string>
-			<string>IPAMonaUIGothic</string>
-		</test>
+		<or>
+			<test name="family">
+				<string>IPAMonaMincho</string>
+			</test>
+			<test name="family">
+				<string>IPAMonaGothic</string>
+			</test>
+			<test name="family">
+				<string>IPAMonaPMincho</string>
+			</test>
+			<test name="family">
+				<string>IPAMonaPGothic</string>
+			</test>
+			<test name="family">
+				<string>IPAMonaUIGothic</string>
+			</test>
+		</or>
 		<edit name="autohint">
 			<bool>false</bool>
 		</edit>

Modified: head/japanese/font-motoya-al/Makefile
==============================================================================
--- head/japanese/font-motoya-al/Makefile	Wed Sep  4 21:14:14 2013	(r326327)
+++ head/japanese/font-motoya-al/Makefile	Wed Sep  4 21:15:21 2013	(r326328)
@@ -1,11 +1,8 @@
-# New ports collection makefile for:	font-motoya-al
-# Date created:		7 January 2011
-# Whom:			hrs
 # $FreeBSD$
-#
 
 PORTNAME=	font-motoya-al
 PORTVERSION=	0.0.20100921
+PORTREVISION=	1
 CATEGORIES=	japanese x11-fonts
 MASTER_SITES=	LOCAL
 MASTER_SITE_SUBDIR=	hrs
@@ -29,6 +26,10 @@ PORTDOCS=	newsrelease20100921.pdf
 LOCAL_FONTSDIR=	share/fonts
 X_FONTSDIR=	lib/X11/fonts
 
+OPTIONS_DEFINE=	DOCS
+
+.include <bsd.port.options.mk>
+
 do-install:
 	${MKDIR} ${DATADIR}
 	${INSTALL_DATA} ${WRKSRC}/*.ttf ${DATADIR}
@@ -47,7 +48,7 @@ do-install:
 		${PREFIX}/etc/fonts/conf.d/20-unhint-motoya-al.conf
 	${LN} -s -f ../conf.avail/62-fonts-motoya-al.conf \
 		${PREFIX}/etc/fonts/conf.d/62-fonts-motoya-al.conf
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}
 	cd ${WRKSRC} && ${INSTALL_DATA} ${PORTDOCS} ${DOCSDIR}
 .endif

Modified: head/japanese/font-motoya-al/files/20-unhint-motoya-al.conf
==============================================================================
--- head/japanese/font-motoya-al/files/20-unhint-motoya-al.conf	Wed Sep  4 21:14:14 2013	(r326327)
+++ head/japanese/font-motoya-al/files/20-unhint-motoya-al.conf	Wed Sep  4 21:15:21 2013	(r326328)
@@ -3,10 +3,14 @@
 <!-- $FreeBSD$ -->
 <fontconfig>
 	<match target="font">
-		<test name="family">
-			<string>MotoyaLCeder</string>
-			<string>MotoyaLMaru</string>
-		</test>
+		<or>
+			<test name="family">
+				<string>MotoyaLCeder</string>
+			</test>
+			<test name="family">
+				<string>MotoyaLMaru</string>
+			</test>
+		</or>
 		<edit name="autohint">
 			<bool>false</bool>
 		</edit>

Modified: head/japanese/font-motoya-al/pkg-descr
==============================================================================
--- head/japanese/font-motoya-al/pkg-descr	Wed Sep  4 21:14:14 2013	(r326327)
+++ head/japanese/font-motoya-al/pkg-descr	Wed Sep  4 21:15:21 2013	(r326328)
@@ -3,5 +3,5 @@ Two free Japanese TrueType fonts (Apache
 - Motoya L Ceder W3
 - Motoya L Maru W3
 
-WWW:	http://www.motoyafont.jp/news/newsrelease20100921.pdf
-WWW:	https://android.googlesource.com/platform/frameworks/base/+/76d3b0f1bdf31b7315b636834f7da7211ca907e0
+WWW: http://www.motoyafont.jp/news/newsrelease20100921.pdf
+WWW: https://android.googlesource.com/platform/frameworks/base/+/76d3b0f1bdf31b7315b636834f7da7211ca907e0

Modified: head/japanese/font-mplus-ipa/Makefile
==============================================================================
--- head/japanese/font-mplus-ipa/Makefile	Wed Sep  4 21:14:14 2013	(r326327)
+++ head/japanese/font-mplus-ipa/Makefile	Wed Sep  4 21:15:21 2013	(r326328)
@@ -2,7 +2,7 @@
 
 PORTNAME=	mplus-ipa
 PORTVERSION=	1.0.20060520.p1
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	japanese x11-fonts
 MASTER_SITES=	${MASTER_SITE_LOCAL}
 MASTER_SITE_SUBDIR=	hrs

Modified: head/japanese/font-mplus-ipa/files/20-unhint-mplus-ipa.conf
==============================================================================
--- head/japanese/font-mplus-ipa/files/20-unhint-mplus-ipa.conf	Wed Sep  4 21:14:14 2013	(r326327)
+++ head/japanese/font-mplus-ipa/files/20-unhint-mplus-ipa.conf	Wed Sep  4 21:15:21 2013	(r326328)
@@ -3,14 +3,26 @@
 <!-- $FreeBSD$ -->
 <fontconfig>
 	<match target="font">
-		<test name="family">
-			<string>M+1P+IPAG</string>
-			<string>M+2P+IPAG</string>
-			<string>M+1P+IPAG circle</string>
-			<string>M+2P+IPAG circle</string>
-			<string>M+1VM+IPAG circle</string>
-			<string>M+2VM+IPAG circle</string>
-		</test>
+		<or>
+			<test name="family">
+				<string>M+1P+IPAG</string>
+			</test>
+			<test name="family">
+				<string>M+2P+IPAG</string>
+			</test>
+			<test name="family">
+				<string>M+1P+IPAG circle</string>
+			</test>
+			<test name="family">
+				<string>M+2P+IPAG circle</string>
+			</test>
+			<test name="family">
+				<string>M+1VM+IPAG circle</string>
+			</test>
+			<test name="family">
+				<string>M+2VM+IPAG circle</string>
+			</test>
+		</or>
 		<edit name="autohint">
 			<bool>false</bool>
 		</edit>

Modified: head/japanese/font-mplus/Makefile
==============================================================================
--- head/japanese/font-mplus/Makefile	Wed Sep  4 21:14:14 2013	(r326327)
+++ head/japanese/font-mplus/Makefile	Wed Sep  4 21:15:21 2013	(r326328)
@@ -3,7 +3,7 @@
 
 PORTNAME=	mplus
 PORTVERSION=	2.2.4.055
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	japanese x11-fonts
 MASTER_SITES=	SFJP/${PORTNAME}-fonts/5030:bitmap \
 		SFJP/${PORTNAME}-fonts/6650:outline

Modified: head/japanese/font-mplus/files/20-unhint-mplus.conf
==============================================================================
--- head/japanese/font-mplus/files/20-unhint-mplus.conf	Wed Sep  4 21:14:14 2013	(r326327)
+++ head/japanese/font-mplus/files/20-unhint-mplus.conf	Wed Sep  4 21:15:21 2013	(r326328)
@@ -3,15 +3,29 @@
 <!-- $FreeBSD$ -->
 <fontconfig>
 	<match target="font">
-		<test name="family">
-			<string>M+ 1c</string>
-			<string>M+ 1m</string>
-			<string>M+ 1mn</string>
-			<string>M+ 1p</string>
-			<string>M+ 2c</string>
-			<string>M+ 2m</string>
-			<string>M+ 2p</string>
-		</test>
+		<or>
+			<test name="family">
+				<string>M+ 1c</string>
+			</test>
+			<test name="family">
+				<string>M+ 1m</string>
+			</test>
+			<test name="family">
+				<string>M+ 1mn</string>
+			</test>
+			<test name="family">
+				<string>M+ 1p</string>
+			</test>
+			<test name="family">
+				<string>M+ 2c</string>
+			</test>
+			<test name="family">
+				<string>M+ 2m</string>
+			</test>
+			<test name="family">
+				<string>M+ 2p</string>
+			</test>
+		</or>
 		<edit name="autohint">
 			<bool>false</bool>
 		</edit>

Modified: head/japanese/font-sazanami/Makefile
==============================================================================
--- head/japanese/font-sazanami/Makefile	Wed Sep  4 21:14:14 2013	(r326327)
+++ head/japanese/font-sazanami/Makefile	Wed Sep  4 21:15:21 2013	(r326328)
@@ -2,7 +2,7 @@
 
 PORTNAME=	sazanami
 PORTVERSION=	20040629
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	japanese x11-fonts
 MASTER_SITES=	SFJP/efont/10087
 PKGNAMEPREFIX=	ja-font-

Modified: head/japanese/font-sazanami/files/20-unhint-sazanami.conf
==============================================================================
--- head/japanese/font-sazanami/files/20-unhint-sazanami.conf	Wed Sep  4 21:14:14 2013	(r326327)
+++ head/japanese/font-sazanami/files/20-unhint-sazanami.conf	Wed Sep  4 21:15:21 2013	(r326328)
@@ -3,10 +3,14 @@
 <!-- $FreeBSD$ -->
 <fontconfig>
 	<match target="font">
-		<test name="family">
-			<string>Sazanami Mincho</string>
-			<string>Sazanami Gothic</string>
-		</test>
+		<or>
+			<test name="family">
+				<string>Sazanami Mincho</string>
+			</test>
+			<test name="family">
+				<string>Sazanami Gothic</string>
+			</test>
+		</or>
 		<edit name="autohint">
 			<bool>false</bool>
 		</edit>

Modified: head/japanese/font-shinonome/Makefile
==============================================================================
--- head/japanese/font-shinonome/Makefile	Wed Sep  4 21:14:14 2013	(r326327)
+++ head/japanese/font-shinonome/Makefile	Wed Sep  4 21:15:21 2013	(r326328)
@@ -1,9 +1,5 @@
-# New ports collection makefile for: shinonome
-# Date created:		June 15 2001
-# Whom:			Yoichi NAKAYAMA <yoichi@eken.phys.nagoya-u.ac.jp>
-#
+# Created by: Yoichi NAKAYAMA <yoichi@eken.phys.nagoya-u.ac.jp>
 # $FreeBSD$
-#
 
 PORTNAME=	font-shinonome
 PORTVERSION=	0.9.11.p1
@@ -53,6 +49,10 @@ FONTNAMES=\
 	shnmk16      shnmk16b     shnmk16i     shnmk16bi     \
 	shnmk16min   shnmk16minb  shnmk16mini  shnmk16minbi
 
+OPTIONS_DEFINE=	DOCS
+
+.include <bsd.port.options.mk>
+
 do-build:
 	@${ECHO_CMD} -n "Compressing PCF fonts"
 	@cd ${WRKSRC} && for F in ${FONTNAMES}; do \
@@ -71,7 +71,7 @@ do-install:
 
 post-install:
 	${SETENV} PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}
 	cd ${WRKSRC} && ${INSTALL_DATA} ${PORTDOCS} ${DOCSDIR}
 .endif

Modified: head/japanese/font-takao/Makefile
==============================================================================
--- head/japanese/font-takao/Makefile	Wed Sep  4 21:14:14 2013	(r326327)
+++ head/japanese/font-takao/Makefile	Wed Sep  4 21:15:21 2013	(r326328)
@@ -2,6 +2,7 @@
 
 PORTNAME=	takao
 PORTVERSION=	003.02.01
+PORTREVISION=	1
 CATEGORIES=	japanese x11-fonts
 MASTER_SITES=	http://launchpadlibrarian.net/40218948/
 PKGNAMEPREFIX=	ja-font-

Modified: head/japanese/font-takao/files/20-unhint-takao.conf
==============================================================================
--- head/japanese/font-takao/files/20-unhint-takao.conf	Wed Sep  4 21:14:14 2013	(r326327)
+++ head/japanese/font-takao/files/20-unhint-takao.conf	Wed Sep  4 21:15:21 2013	(r326328)
@@ -3,14 +3,26 @@
 <!-- $FreeBSD$ -->
 <fontconfig>
 	<match target="font">
-		<test name="family">
-			<string>TakaoMincho</string>
-			<string>TakaoGothic</string>
-			<string>TakaoPMincho</string>
-			<string>TakaoPGothic</string>
-			<string>TakaoExMincho</string>
-			<string>TakaoExGothic</string>
-		</test>
+		<or>
+			<test name="family">
+				<string>TakaoMincho</string>
+			</test>
+			<test name="family">
+				<string>TakaoGothic</string>
+			</test>
+			<test name="family">
+				<string>TakaoPMincho</string>
+			</test>
+			<test name="family">
+				<string>TakaoPGothic</string>
+			</test>
+			<test name="family">
+				<string>TakaoExMincho</string>
+			</test>
+			<test name="family">
+				<string>TakaoExGothic</string>
+			</test>
+		</or>
 		<edit name="autohint">
 			<bool>false</bool>
 		</edit>

Modified: head/japanese/font-ume/Makefile
==============================================================================
--- head/japanese/font-ume/Makefile	Wed Sep  4 21:14:14 2013	(r326327)
+++ head/japanese/font-ume/Makefile	Wed Sep  4 21:15:21 2013	(r326328)
@@ -1,7 +1,7 @@
 # $FreeBSD$
 
 PORTNAME=	ume
-PORTVERSION=	0.0.452
+PORTVERSION=	0.0.455
 CATEGORIES=	japanese x11-fonts
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE_JP}
 MASTER_SITE_SUBDIR=	${PORTNAME}-font/22212

Modified: head/japanese/font-ume/distinfo
==============================================================================
--- head/japanese/font-ume/distinfo	Wed Sep  4 21:14:14 2013	(r326327)
+++ head/japanese/font-ume/distinfo	Wed Sep  4 21:15:21 2013	(r326328)
@@ -1,2 +1,2 @@
-SHA256 (umefont_452.tar.xz) = c9d0acabbf57340b3aa614ce73b19b69dc6a2fb24c6f52d4eae37fcccee3a1c8
-SIZE (umefont_452.tar.xz) = 5649568
+SHA256 (umefont_455.tar.xz) = 73f9adb3c56188f28590f6f986c8ce2ad31d80dbe78ba8db2efe88cd7e7103ed
+SIZE (umefont_455.tar.xz) = 5615972

Modified: head/japanese/font-ume/files/20-unhint-ume.conf
==============================================================================
--- head/japanese/font-ume/files/20-unhint-ume.conf	Wed Sep  4 21:14:14 2013	(r326327)
+++ head/japanese/font-ume/files/20-unhint-ume.conf	Wed Sep  4 21:15:21 2013	(r326328)
@@ -3,26 +3,62 @@
 <!-- $FreeBSD$ -->
 <fontconfig>
 	<match target="font">
-		<test name="family">
-			<string>Ume Mincho</string>
-			<string>Ume Mincho S3</string>
-			<string>Ume P Mincho</string>
-			<string>Ume P Mincho S3</string>
-			<string>Ume Gothic</string>
-			<string>Ume Gothic C4</string>
-			<string>Ume Gothic C5</string>
-			<string>Ume Gothic O5</string>
-			<string>Ume Gothic S4</string>
-			<string>Ume Gothic S5</string>
-			<string>Ume P Gothic</string>
-			<string>Ume P Gothic C4</string>
-			<string>Ume P Gothic C5</string>
-			<string>Ume P Gothic O5</string>
-			<string>Ume P Gothic S4</string>
-			<string>Ume P Gothic S5</string>
-			<string>Ume UI Gothic</string>
-			<string>Ume UI Gothic O5</string>
-		</test>
+		<or>
+			<test name="family">
+				<string>Ume Mincho</string>
+			</test>
+			<test name="family">
+				<string>Ume Mincho S3</string>
+			</test>
+			<test name="family">
+				<string>Ume P Mincho</string>
+			</test>
+			<test name="family">
+				<string>Ume P Mincho S3</string>
+			</test>
+			<test name="family">
+				<string>Ume Gothic</string>
+			</test>
+			<test name="family">
+				<string>Ume Gothic C4</string>
+			</test>
+			<test name="family">
+				<string>Ume Gothic C5</string>
+			</test>
+			<test name="family">
+				<string>Ume Gothic O5</string>
+			</test>
+			<test name="family">
+				<string>Ume Gothic S4</string>
+			</test>
+			<test name="family">
+				<string>Ume Gothic S5</string>
+			</test>
+			<test name="family">
+				<string>Ume P Gothic</string>
+			</test>
+			<test name="family">
+				<string>Ume P Gothic C4</string>
+			</test>
+			<test name="family">
+				<string>Ume P Gothic C5</string>
+			</test>
+			<test name="family">
+				<string>Ume P Gothic O5</string>
+			</test>
+			<test name="family">
+				<string>Ume P Gothic S4</string>
+			</test>
+			<test name="family">
+				<string>Ume P Gothic S5</string>
+			</test>
+			<test name="family">
+				<string>Ume UI Gothic</string>
+			</test>
+			<test name="family">
+				<string>Ume UI Gothic O5</string>
+			</test>
+		</or>
 		<edit name="autohint">
 			<bool>false</bool>
 		</edit>

Modified: head/japanese/font-vlgothic/Makefile
==============================================================================
--- head/japanese/font-vlgothic/Makefile	Wed Sep  4 21:14:14 2013	(r326327)
+++ head/japanese/font-vlgothic/Makefile	Wed Sep  4 21:15:21 2013	(r326328)
@@ -2,10 +2,9 @@
 # $FreeBSD$
 
 PORTNAME=	vlgothic
-PORTVERSION=	20130422
-PORTREVISION=	1
+PORTVERSION=	20130607
 CATEGORIES=	japanese x11-fonts
-MASTER_SITES=	SFJP/vlgothic/58671
+MASTER_SITES=	SFJP/vlgothic/58961
 PKGNAMEPREFIX=	ja-font-
 DISTNAME=	VLGothic-${PORTVERSION}
 

Modified: head/japanese/font-vlgothic/distinfo
==============================================================================
--- head/japanese/font-vlgothic/distinfo	Wed Sep  4 21:14:14 2013	(r326327)
+++ head/japanese/font-vlgothic/distinfo	Wed Sep  4 21:15:21 2013	(r326328)
@@ -1,2 +1,2 @@
-SHA256 (VLGothic-20130422.tar.xz) = 05d68e0866d788dc69caf9a763937051f2ff0e510f85e7cd091cf21d5f428888
-SIZE (VLGothic-20130422.tar.xz) = 2213024
+SHA256 (VLGothic-20130607.tar.xz) = 4b8b69f6d050dcb79d6bd2f741ab3434d1313d58ff5ff10d1b3bb28aeb53f9f5
+SIZE (VLGothic-20130607.tar.xz) = 2215992

Modified: head/japanese/font-vlgothic/files/20-unhint-vlgothic.conf
==============================================================================
--- head/japanese/font-vlgothic/files/20-unhint-vlgothic.conf	Wed Sep  4 21:14:14 2013	(r326327)
+++ head/japanese/font-vlgothic/files/20-unhint-vlgothic.conf	Wed Sep  4 21:15:21 2013	(r326328)
@@ -3,10 +3,14 @@
 <!-- $FreeBSD$ -->
 <fontconfig>
 	<match target="font">
-		<test name="family">
-			<string>VL Gothic</string>
-			<string>VL PGothic</string>
-		</test>
+		<or>
+			<test name="family">
+				<string>VL Gothic</string>
+			</test>
+			<test name="family">
+				<string>VL PGothic</string>
+			</test>
+		</or>
 		<edit name="autohint">
 			<bool>false</bool>
 		</edit>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Hiroki Sato freebsd_committer 2013-09-04 22:15:45 UTC
State Changed
From-To: open->closed

Committed a fix in r326328.  Thank you for your report!